body {
  margin: 0;
  scroll-behavior: smooth;
}

/*
  DESKTOP STYLES
*/

@media screen and (orientation: landscape) {
  aside {
    position: fixed;
    top: 0;
    left: 0;
    height: 100%;
    z-index: 999;
    padding: 10px;
    display: flex;
    flex-direction: column;
    gap: 10px;
  }

  .nav-items {
    display: flex;
    flex-direction: column;
    height: 100%;
    justify-content: center;
  }
}

aside > div {
  user-select: none;
  cursor: pointer;
}

iframe {
  border: none;
  position: sticky;
  width: 100%;
  height: 100%;
}

.nav-item {
  display: flex;
  flex-direction: row;
  align-items: flex-end;
  gap: 8px;
}

.nav-item .icon {
  width: 24px;
  height: 24px;
  transition: width 0.2s ease, height 0.2s ease;
}

.nav-item .text {
  display: none;
}

.nav-item:hover .icon {
  width: 32px;
  height: 32px;
  transition: width 0.2s ease, height 0.2s ease;
}

.nav-item:hover .text {
  display: block;
}

/*
  MOBILE STYLES 
*/

/* Applies when height > width (portrait mode) */
@media screen and (orientation: portrait) {
    iframe {
      padding-bottom: 50px;
    }
    
    aside {
      position: fixed;
      left: 0;
      bottom: 0;
      width: 100%;
      z-index: 999;
      padding: 10px;
      display: flex;
      flex-direction: row;
      gap: 10px;
    }

    .nav-items {
      display: flex;;
      flex-direction: row;
      width: 100%;
      justify-content: center;
    }
}
